#pragma once
#include "tooltiplistctrl.h"
#include "afxwin.h"
#include "resource.h"

// CArticlesDlg dialog

class CArticlesDlg : public CDialog
{
	DECLARE_DYNAMIC(CArticlesDlg)

public:
	CArticlesDlg(CWnd* pParent = NULL);   // standard constructor
	virtual ~CArticlesDlg();

// Dialog Data
	enum { IDD = IDD_ARTICLES_DLG };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

	DECLARE_MESSAGE_MAP()
public:
	CToolTipListCtrl mArticleList;
	virtual BOOL OnInitDialog();
	afx_msg void OnBnClickedAdd();
	afx_msg void OnBnClickedEdit();
	afx_msg void OnHdnItemdblclickSitelist(NMHDR *pNMHDR, LRESULT *pResult);
	afx_msg void OnLButtonDblClk(UINT nFlags, CPoint point);
	afx_msg void OnNMDblclkSitelist(NMHDR *pNMHDR, LRESULT *pResult);
	afx_msg void OnSize(UINT nType, int cx, int cy);

	int mSizeInited;
	CButton mDeleteButton;
	afx_msg void OnLvnItemchangedSitelist(NMHDR *pNMHDR, LRESULT *pResult);
	afx_msg BOOL OnEraseBkgnd(CDC* pDC);
	afx_msg void OnBnClickedDelete();
	afx_msg void OnBnClickedAddart();
	CButton mNewArtButton;
	afx_msg void OnBnClickedEditart();
	CButton mEditButton;
};
